//
//  PhotoEditingToolColorPickerCell.swift
//  WoWonder
//
//  Created by iMac on 21/05/25.
//  Copyright © 2025 ScriptSun. All rights reserved.
//

import UIKit

class PhotoEditingToolColorPickerCell: UICollectionViewCell {
    
    @IBOutlet weak var colorView: UIView!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
        // Initialization code
        
    }
    
    func setData(data: BrushColorModel) {
        self.colorView.backgroundColor = UIColor(hex: data.color)
        self.colorView.layer.borderWidth = 2
    }
    
    func setData(data: GradientColorModel) {
        self.colorView.setUpGradientLayer(name: "Gradient Background", colors: data.colors)
        self.colorView.layer.borderWidth = 2
    }
    
}
